OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
CommandPacket Struct Reference

Everything we need to know about a command to be able to execute it. More...

`#include <network_internal.h>`

Inheritance diagram for CommandPacket:

## Public Member Functions
| CommandPacket ()
| Make sure the pointer is NULL.

## Data Fields
CommandPacket * | next
| the next command packet (if in queue)
CompanyID | company
| company that is executing the command
uint32 | frame
| the frame in which this packet is executed
bool | my_cmd
| did the command originate from "me"
Data Fields inherited from CommandContainer
TileIndex | tile
| tile command being executed on.
uint32 | p1
| parameter p1.
uint32 | p2
| parameter p2.
uint32 | cmd
| command being executed.
CommandCallback * | callback
| any callback function executed upon successful completion of the command.
char | text [32 *MAX_CHAR_LENGTH]
| possible text sent for name changes etc, in bytes including '\0'.

## Detailed Description

Everything we need to know about a command to be able to execute it.

Definition at line 153 of file network_internal.h.

## Constructor & Destructor Documentation

CommandPacket::CommandPacket | ( |  | ) |
| inline

Make sure the pointer is NULL.

Definition at line 155 of file network_internal.h.

The documentation for this struct was generated from the following file:

- src/network/network_internal.h